%define module_version 1.0.3
%define module_name Net-BitTorrent-DHT
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/HTTP.pm) perl(AnyEvent/Socket.pm) perl(AnyEvent/Util.pm) perl(Bit/Vector.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(Moose/Util/TypeConstraints.pm) perl(Net/BitTorrent/Protocol.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Class.pm) perl(Test/Moose.pm) perl(Test/More.pm) perl(Types/Standard.pm) perl(feature.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.3
Release: alt1
Summary: Kademlia-like DHT Node
Group: Development/Perl
License: artistic_2
URL: https://github.com/sanko/net-bittorrent-dht

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SANKO/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
BitTorrent uses a "distributed sloppy hash table" (DHT) for storing peer
contact information for "trackerless" torrents. In effect, each peer becomes a
tracker. The protocol is based on Kademila and is implemented
over UDP.


%prep
%setup -q -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/N*

%changelog
* Sat Mar 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1
- regenerated from template by package builder

* Wed Jun 25 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1
- initial import by package builder

